Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Tue Sep 29, 2009 9:13 am    Post subject: Reply with quote

benneque wrote:
again emerge error in pykde4-4.3.69

Code:


angus:/# cat /etc/portage/profile/package.provided
kde-base/pykde4-4.3.69
angus:/#

_________________
knowledge is power
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Tue Sep 29, 2009 7:01 pm    Post subject: Reply with quote

hm.. I'll try that, but this CANNOT(!!) be an all-time solution. Or am I wrong?
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Tue Sep 29, 2009 7:19 pm    Post subject: Reply with quote

Well, you're using alpha code and I was never able to compile pykde4 before some 9x version :roll:
_________________
knowledge is power
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Thu Oct 01, 2009 4:08 pm    Post subject: Reply with quote

Amarok 2.2 is OUT! Hope for an ebuild very very soon ;)
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 248

PostPosted: Sat Oct 03, 2009 5:03 pm    Post subject: Reply with quote

Plasma workspace fails to build with xorg-server-1.7 because X11/extensions/XTest.h is no longer provided by x11-proto/xextproto.

Code:

[ 82%] /home/portage/portage/kde-base/plasma-workspace-4.3.69/work/plasma-workspace-4.3.69/plasma/netbook/applets/currentappcontrol/currentappcontrol.cpp:46:34: error: X11/extensions/XTest.h: No existe el fichero o el directorio
/home/portage/portage/kde-base/plasma-workspace-4.3.69/work/plasma-workspace-4.3.69/plasma/netbook/applets/currentappcontrol/currentappcontrol.cpp:46:34: error: X11/extensions/XTest.h: No existe el fichero o el directorio


Should I bug upstream?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Oct 04, 2009 12:35 am    Post subject: Reply with quote

plasma-workspace-4.3.1 compiles fine here... still might be a 4.3.69 issue, but at first you should rule out your xorg setup and/or get your bug confirmed by other users.

on an ~amd64 system, this is my xorg-server-1.7 unmask list:
Code:
=x11-proto/xproto-7.0*
=x11-proto/randrproto-1.3*
=x11-proto/xcb-proto-1.5*
=x11-libs/xcb-util-0.3.6*
=x11-libs/libxcb-1.4*
=x11-libs/libX11-1.3*
=x11-libs/libXrandr-1.3*
=x11-libs/libXfont-1.4*
=x11-apps/xrandr-1.3*
=x11-base/xorg-server-1.7*
=x11-base/xorg-drivers-1.7*
=x11-libs/libXi-1.3*
=x11-libs/libXinerama-1.1*
=x11-proto/inputproto-2.0*
=x11-libs/libXext-1.1*
=x11-proto/xextproto-7.1*
=x11-proto/recordproto-1.14*
=x11-proto/renderproto-0.11*
=x11-proto/fixesproto-4.1*
=x11-proto/xf86vidmodeproto-2.3*
=x11-proto/xineramaproto-1.2*
=x11-proto/bigreqsproto-1.1*
=x11-proto/xf86dgaproto-2.1*
=x11-proto/scrnsaverproto-1.2*
=x11-proto/xf86driproto-2.1*
=x11-proto/xcmiscproto-1.2*
=x11-libs/libXScrnSaver-1.2*

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Wed Oct 07, 2009 11:43 pm; edited 1 time in total
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Mon Oct 05, 2009 6:53 pm    Post subject: Reply with quote

After suddenly getting media-sound/phonon as a blocker (among a lot of other qt stuff), I just noticed that qt-phonon is no longer commented out in the qt-split set in the kde-testing overlay.

With qt-4.5.3, are we now supposed change over from media-sound/phonon to qt-phonon?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Tue Oct 06, 2009 7:17 am    Post subject: Reply with quote

I also like to have tips for phonon ...
_________________
knowledge is power
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Tue Oct 06, 2009 9:38 pm    Post subject: Reply with quote

I just noticed that kde-4.3.2 was officially released today. It looks like the 4.3.2 set is ready to go in the overlay, it's just masked. Anybody know when 4.3.2 will be unmasked in the kde-testing tree? I can't wait to give it a try, but I don't want to get too far ahead of the devs.
Back to top
View user's profile Send private message
NaiL
Apprentice
Apprentice


Joined: 13 Feb 2003
Posts: 228
Location: Spain/BCN

PostPosted: Tue Oct 06, 2009 9:55 pm    Post subject: Reply with quote

I think that 4.3.2 files are not in gentoo repositories yet.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Oct 06, 2009 10:11 pm    Post subject: Reply with quote

NaiL wrote:
I think that 4.3.2 files are not in gentoo repositories yet.


They are:
Code:
[U] kde-base/kdelibs
     Available versions: 
        (3.5)   ~3.5.9!t ~3.5.9-r1!t ~3.5.9-r2!t ~3.5.9-r3!t 3.5.9-r4!t ~3.5.10-r1!t ~3.5.10-r2!t ~3.5.10-r3!t ~3.5.10-r4!t ~3.5.10-r5!t 3.5.10-r6!t
        (4.2)   (~)4.2.4-r4!t                                                                                                                       
        (4.3)   (~)4.3.0!t (~)4.3.1!t (~)4.3.1-r2!t[1] {M}(~)4.3.2!t {M}(~)4.3.2!t[1] **4.3.9999!t[1]                                               
        (4.4)   [M]~4.3.69!t[1]                                                                                                                     
        (live)  {M}**9999!t[1]                                                                                                                     
        {3dnow acl alsa altivec aqua arts avahi bindist branding bzip2 cups debug doc elibc_FreeBSD fam handbook jpeg2k kdeenablefinal kdehiddenvisibility kdeprefix kerberos kernel_linux legacyssl lua lzma mmx nls openexr opengl policykit semantic-desktop spell sse sse2 ssl test tiff utempter xinerama zeroconf}         
     Installed versions:  4.3.1-r2(4.3)!t[1](17:49:56 02/10/09)(3dnow acl alsa bzip2 handbook jpeg2k mmx nls opengl semantic-desktop spell sse sse2 ssl -altivec -aqua -bindist -debug -doc -fam -kdeprefix -kerberos -lzma -openexr -test -zeroconf)                                                                             
     Homepage:            http://www.kde.org/                                                                                                                   
     Description:         KDE libraries needed by all KDE programs.                                                                                             

[1] "kde" /usr/local/portage/layman/kde-testing

_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Tue Oct 06, 2009 11:36 pm    Post subject: Reply with quote

kde-base/plasma-workspace-4.3.2 doesn't compile yet, all the others built fine.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Wed Oct 07, 2009 1:22 am    Post subject: Reply with quote

genstorm wrote:
kde-base/plasma-workspace-4.3.2 doesn't compile yet, all the others built fine.


Sounds like it may be really close then.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Wed Oct 07, 2009 1:27 am    Post subject: Reply with quote

Plasma-workspace built fine for me.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Wed Oct 07, 2009 1:36 am    Post subject: Reply with quote

loftwyr wrote:
Plasma-workspace built fine for me.


How well is 4.3.2 working for you?
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Wed Oct 07, 2009 1:39 am    Post subject: Reply with quote

platojones wrote:

How well is 4.3.2 working for you?


Perfectly so far.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
platojones
Veteran
Veteran


Joined: 23 Oct 2002
Posts: 1595
Location: Just over the horizon

PostPosted: Wed Oct 07, 2009 1:43 am    Post subject: Reply with quote

loftwyr wrote:
platojones wrote:

How well is 4.3.2 working for you?


Perfectly so far.


Great! Hopefully the unmasking happens soon...still several annoying bugs in 4.3.1 that I want to get rid of.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Oct 07, 2009 9:09 am    Post subject: Reply with quote

ok, seems to be related to me using xorg-server-1.7:

Code:
/var/tmp/portage/kde-base/plasma-workspace-4.3.2/work/plasma-workspace-4.3.2/plasma/applets/systemtray/ui/applet.cpp:53:38: error: X11/extensions/scrnsaver.h: No such file or directory


Interesting though that plasma-workspace-4.3.1 did compile a few days ago.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 07, 2009 12:56 pm    Post subject: Reply with quote

nepomuk-4.3.69 fails:
Code:

Generating repository.moc                                                                                                                                     
Error occurred during initialization of VM                                                                                                                     
Unable to load native library: /opt/sun-jdk-1.6.0.14/jre/lib/i386/libjava.so: cannot open shared object file: No such file or directory                       
make[2]: *** [nepomuk/strigibackend/nie.h] Error 1                                                                                                             
make[2]: *** Waiting for unfinished jobs....                                                                                                                   
Generating graphretriever.moc                                                                                                                                 
Generating kio_nepomuksearch.moc                                                                                                                               
Generating servicemanager.moc 


What can I do?

Thanks
Finswimmer
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Oct 07, 2009 5:01 pm    Post subject: Reply with quote

Finswimmer wrote:
nepomuk-4.3.69 fails:
Code:

Generating repository.moc                                                                                                                                     
Error occurred during initialization of VM                                                                                                                     
Unable to load native library: /opt/sun-jdk-1.6.0.14/jre/lib/i386/libjava.so: cannot open shared object file: No such file or directory                       
make[2]: *** [nepomuk/strigibackend/nie.h] Error 1                                                                                                             
make[2]: *** Waiting for unfinished jobs....                                                                                                                   
Generating graphretriever.moc                                                                                                                                 
Generating kio_nepomuksearch.moc                                                                                                                               
Generating servicemanager.moc 


What can I do?

Thanks
Finswimmer


try to upgrade to sun-jdk-1.6.0.16 and see whether that includes the relevant missing file ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 07, 2009 8:19 pm    Post subject: Reply with quote

Code:
Generating systray.moc                                                                                                                                           
(Soprano::PluginManager) found no soprano plugin at  "/usr/lib/soprano/libsoprano_sesame2backend.so"                                                             
Failed to create memory model                                                                                                                                   
make[2]: *** [nepomuk/strigibackend/nie.h] Error 1                                                                                                               
make[2]: *** Waiting for unfinished jobs....                                                                                                                     
(Soprano::PluginManager) found no soprano plugin at  "/usr/lib/soprano/libsoprano_sesame2backend.so"                                                             
Failed to create memory model                                                                                                                                   
make[2]: *** [nepomuk/services/filewatch/nie.h] Error 1                                                                                                         
make[1]: *** [nepomuk/services/filewatch/CMakeFiles/nepomukfilewatch.dir/all] Error 2                                                                           
make[1]: *** Waiting for unfinished jobs....                                                                                                                     
Generating modelcopyjob.moc                                                                                                                                     
[  3%] Built target kcm_nepomuk_automoc                                                                                                                         
Generating queryservice.moc                                                                                                                                     
(Soprano::PluginManager) found no soprano plugin at  "/usr/lib/soprano/libsoprano_sesame2backend.so"                                                             
Failed to create memory model                                                                                                                                   
make[2]: *** [nepomuk/strigibackend/nfo.h] Error 1                                                                                                               
make[1]: *** [nepomuk/strigibackend/CMakeFiles/sopranobackend.dir/all] Error 2                                                                                   
[  3%] Built target nepomukontologyloader_automoc                                 


Now...this?

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Oct 07, 2009 11:44 pm    Post subject: Reply with quote

genstorm wrote:
ok, seems to be related to me using xorg-server-1.7:

Code:
/var/tmp/portage/kde-base/plasma-workspace-4.3.2/work/plasma-workspace-4.3.2/plasma/applets/systemtray/ui/applet.cpp:53:38: error: X11/extensions/scrnsaver.h: No such file or directory


Interesting though that plasma-workspace-4.3.1 did compile a few days ago.

solved, was a local dependency problem in xorg.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Zoboulo
Tux's lil' helper
Tux's lil' helper


Joined: 07 Apr 2007
Posts: 97

PostPosted: Thu Oct 08, 2009 2:12 pm    Post subject: Reply with quote

Hi,

it seems that kde 4.3.2 is not longer in kde-testing overlay : it disappeared when I synced from the overlay this morning.
Do you have any information ?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Thu Oct 08, 2009 2:14 pm    Post subject: Reply with quote

It's in portage (masked).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Oct 08, 2009 8:07 pm    Post subject: Reply with quote

Is NetworkManager with networkmanager-applet working for someone good?
For me, there are some times connection problems. Sometimes I have to confirm the WPA2 password.
On the other time I get "unnassociated" (iwconfig). Then it is not possible to connect.
If I start wicd I get a working connection immediatly.

Thank you
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 36, 37, 38  Next
Page 10 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum